Developers
API ReferenceBoard Template

Updates the BoardTemplate resource

PATCH
/project/board-templates/{id}

Updates the BoardTemplate resource

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

BoardTemplate identifier

Request Body

The updated BoardTemplate resource

  1. body
name?string
Length1 <= length <= 100
isPublic?boolean

Response Body

BoardTemplate resource updated

  1. response
id?string
Formatuuid
name?string
Lengthlength <= 100
isPublic?boolean
createdBy?|null
Example Request
curl -X PATCH 'https://app.icproject.com/api/instance/demo/project/board-templates/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "isPublic": true,  "createdBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "pictureSm": "string",    "pictureLg": "string",    "contractorName": "string",    "jobPositionName": "string",    "canLogIn": true,    "isExternal": true  }}